<?php 
require_once("../datos/mysqlproyecto.php");
date_default_timezone_set("America/Santiago");
$p = new mysqlproyecto();
 require_once("../PHPExcel_1.8.0_doc/Classes/PHPExcel.php");
 $objPHPExcel = new PHPExcel();
 $data = array();
 $listapertenece  = array();
 $listaetapas  = array();

  function add_person(  $numero, 
						$obs_preentrega,
						$obs_entrega,
						$piso,
						$fecha_entrega,
						$fecha_preentrega,
						$fecha_promesa,
						$fecha_escritura,
						$modelo,
						$etapa,
						$unidad,
						$abreviatura,
						$num_pisos,
						$rut,
						$direccion,
						$tel_fijo,
						$emailPropietario,
						$nombre,
						$ape_paterno,
						$ape_materno,
						$celular,
						$tel_oficina) {
  global $data;
			  $data []= array(
					'NUMERO' => $numero,
					'OBS_PREENTREGA' => $obs_preentrega,
					'OBS_ENTREGA' => $obs_entrega,
					'PISO' => $piso ,
					'FECHA_ENTREGA' => $fecha_entrega,
					'FECHA_PREENTREGA' => $fecha_preentrega,
					'FECHA_PROMESA' => $fecha_promesa ,
					'FECHA_ESCRITURA' => $fecha_escritura,
					'MODELO' => $modelo ,
					'ETAPA' => $etapa ,
					'UNIDAD' => $unidad,
					'ABREVIATURA' => $abreviatura,
					'NUM_PISOS' => $num_pisos,
					'RUT' => $rut ,
					'DIRECCION' => $direccion ,
					'TEL_FIJO' => $tel_fijo ,
					'EMAIL' => $emailPropietario ,
					'NOMBRE' => $nombre ,
					'APE_PATERNO' => $ape_paterno ,
					'APE_MATERNO' => $ape_materno ,
					'CELULAR' => $celular ,
					'TEL_OFICINA' => $tel_oficina
			  );
  }


if(isset($_FILES['file']['name'])&&$_FILES['file']['name']!=""){
				$name = $_FILES['file']['name'];
				$tname = $_FILES['file']['tmp_name'];
				$inputFileType = PHPExcel_IOFactory::identify($tname);
                $objReader = PHPExcel_IOFactory::createReader($inputFileType);  
                $objReader->setReadDataOnly(true);
                $objPHPExcel = $objReader->load($tname);
                $total_sheets=$objPHPExcel->getSheetCount(); 
                $allSheetName=$objPHPExcel->getSheetNames(); 
                $objWorksheet = $objPHPExcel->setActiveSheetIndex(0); 
                $highestRow = $objWorksheet->getHighestRow(); 
                $highestColumn = $objWorksheet->getHighestColumn();  
                $highestColumnIndex = PHPExcel_Cell::columnIndexFromString($highestColumn); 
                //EMPIECE ROW 2
                for ($row = 2; $row <= $highestRow;++$row){  
            	  	$numero=$objWorksheet->getCellByColumnAndRow(0, $row)->getFormattedValue(); 
            	  	$obs_preentrega=$objWorksheet->getCellByColumnAndRow(1, $row)->getFormattedValue(); 
            	  	$obs_entrega=$objWorksheet->getCellByColumnAndRow(2, $row)->getFormattedValue(); 
            	  	$piso=$objWorksheet->getCellByColumnAndRow(3,$row)->getFormattedValue(); 
            	    $fecha_entrega= xls2Date($objWorksheet->getCellByColumnAndRow(4, $row)->getValue()); 
            	  	$fecha_preentrega=xls2Date($objWorksheet->getCellByColumnAndRow(5, $row)->getValue()); 
            	  	$fecha_promesa=xls2Date($objWorksheet->getCellByColumnAndRow(6, $row)->getValue()); 
            	  	$fecha_escritura=xls2Date($objWorksheet->getCellByColumnAndRow(7, $row)->getValue()); 
            	  	$modelo=$objWorksheet->getCellByColumnAndRow(8, $row)->getFormattedValue(); 
            	  	$etapa=$objWorksheet->getCellByColumnAndRow(9, $row)->getFormattedValue(); 
            	  	$unidad=$objWorksheet->getCellByColumnAndRow(10, $row)->getFormattedValue(); 
            	  	$abreviatura=$objWorksheet->getCellByColumnAndRow(11, $row)->getFormattedValue(); 
            	  	$num_pisos=$objWorksheet->getCellByColumnAndRow(12, $row)->getFormattedValue();  
            	  	//Datos Propietario
            	  	$rut = $objWorksheet->getCellByColumnAndRow(13, $row)->getFormattedValue(); 
            	  	$direccion = $objWorksheet->getCellByColumnAndRow(14, $row)->getFormattedValue(); 
            	  	$tel_fijo = $objWorksheet->getCellByColumnAndRow(15, $row)->getFormattedValue(); 
					$emailPropietario =$objWorksheet->getCellByColumnAndRow(16, $row)->getFormattedValue(); 
					$nombre =$objWorksheet->getCellByColumnAndRow(17, $row)->getFormattedValue(); 
					$ape_paterno =$objWorksheet->getCellByColumnAndRow(18, $row)->getFormattedValue(); 
					$ape_materno =$objWorksheet->getCellByColumnAndRow(19, $row)->getFormattedValue(); 
					$celular =$objWorksheet->getCellByColumnAndRow(20, $row)->getFormattedValue(); 
					$tel_oficina =$objWorksheet->getCellByColumnAndRow(21, $row)->getFormattedValue(); 
            	   	//FUNCION PARA CREAR EL ARRAY
            	   	add_person($numero,$obs_preentrega,$obs_entrega,$piso,$fecha_entrega,$fecha_preentrega,$fecha_promesa,
            	   	$fecha_escritura,$modelo,$etapa,$unidad,$abreviatura,$num_pisos,
            	   	$rut , $direccion,$tel_fijo,trim($emailPropietario),$nombre,$ape_paterno,$ape_materno,$celular,$tel_oficina);
                }
}

    $proyecto  = $_POST['proyecto'];
	$abreviatura = $_POST['abreviatura'];
	$email  = $_POST['correo'];
	$direccion  = $_POST['direccion'];
   	$fecharegistro =date("Y-m-d H:i:s");
 	$telefono = $_POST['telefono'];
 	//LISTA PARA SABER QUIEN PERTENECE
	if(!empty($_POST['check_list'])){
		foreach($_POST['check_list'] as $selected){
			 global $listapertenece;
				  $listapertenece []= array(
						'id_persona' => $selected
				  );
		}
	}
	if(!empty($_POST['listetapas'])){
		$count = 0;
			foreach($_POST['listetapas'] as $fecha ){
				 global $listaetapas;
					  $listaetapas []= array(
							'etapa' => $_POST['etapa'][$count],
							'fec_municipal' => $fecha
					  );
					  $count = $count+1;
			}
		}
		function xls2Date($date){
       		 $date = round($date);
       		 return date('Y/m/d',(((++$date > 25568) ? $date : 25569) * 86400) - ((70 * 365 + 19) * 86400));
  		}

	$resultado = $p->nuevoProyectoPropietarios($proyecto ,$abreviatura ,$email,$direccion ,$listapertenece,$listaetapas,$fecharegistro,
		$telefono,$data);
	echo $resultado;
?>




